# Achievements

## Create an achievement

<mark style="color:green;">`POST`</mark> `/v1/games/:game_id/achievements`

#### Request Body

| Name                        | Type   | Description |
| --------------------------- | ------ | ----------- |
| custom\_id                  | string |             |
| name                        | string |             |
| description                 | string |             |
| is\_secret                  | string |             |
| points                      | string |             |
| custom\_criteria\_group\_id | string |             |
| custom\_data                | string |             |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## Retrieve an achievement

<mark style="color:blue;">`GET`</mark> `/v1/games/:game_id/achievements/:id`

#### Path Parameters

| Name | Type   | Description |
| ---- | ------ | ----------- |
|      | string |             |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## Update an achievement

<mark style="color:orange;">`PUT`</mark> `/v1/games/:game_id/achievements/:id`

#### Path Parameters

| Name | Type   | Description |
| ---- | ------ | ----------- |
|      | string |             |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## Delete an achievement

<mark style="color:red;">`DELETE`</mark> `/v1/games/:game_id/achievements/:id`

#### Path Parameters

| Name | Type   | Description |
| ---- | ------ | ----------- |
|      | string |             |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## List all achievements

<mark style="color:blue;">`GET`</mark> `/v1/games/:game_id/achievements`

#### Path Parameters

| Name | Type   | Description |
| ---- | ------ | ----------- |
|      | string |             |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.r4nkt.com/api/achievements.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
